Bug 211763 - Review Request: jikes - Java source to bytecode compiler
Summary: Review Request: jikes - Java source to bytecode compiler
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 149781
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-22 09:39 UTC by Paul F. Johnson
Modified: 2009-07-17 19:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 06:02:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul F. Johnson 2006-10-22 09:39:26 UTC
Spec URL: http://nodoid.homelinux.org/fedora/jikes.spec
SRPM URL: http://nodoid.homelinux.org/fedora/jikes-1.22-1.src.rpm
Description: 

The IBM Jikes compiler translates Java source files to bytecode. It
also supports incremental compilation and automatic makefile generation, and is maintained by the Jikes Project

Comment 1 Gérard Milmeister 2006-10-22 13:47:55 UTC
Jikes is already in Extras.

Comment 2 Ville Skyttä 2006-10-22 15:55:04 UTC
Yes, OTOH orphaned and already dropped from the devel repo.

Comment 3 Paul F. Johnson 2006-10-22 19:05:57 UTC
#1 : I couldn't see it, which is why I've put it up for review

#2 : Could you give it the once over and I'll adopt it?

Comment 4 Gérard Milmeister 2006-10-23 19:54:00 UTC
* Summary must start with uppercase
* The URL is now jikes.sourceforge.net
* Both descriptions must end with a period
* The installation of the man page is wrong -> no star wildcard
* There must be a "rm -rf %{buildroot}" at the beginning of the %install section
* The release number of the current FC5 rpm is 5, so make it at least 6

I wonder what the jikesapi.h header can be used for...

Comment 5 Ville Skyttä 2006-10-23 20:09:26 UTC
I'd suggest just unorphaning the current jikes package from FE CVS (FC-5 
branch) as usual instead of rewriting everything from scratch.  It's in a good 
shape (IIRC, I used to maintain it ;)) and has some post-upstream-1.22 
bugfixes that are important to some users.

Comment 6 Gérard Milmeister 2006-10-23 21:13:08 UTC
(In reply to comment #5)
> I'd suggest just unorphaning the current jikes package from FE CVS (FC-5 
> branch) as usual instead of rewriting everything from scratch.  It's in a good 
> shape (IIRC, I used to maintain it ;))
In that case, maybe you should take over the review.


Comment 7 Ville Skyttä 2006-10-23 21:24:42 UTC
I don't think the package currently in CVS needs a (re-)review, the usual 
unorphan process should work just fine for it, and this bug could be closed as 
WONTFIX.  But maybe that's just me...

OTOH, if the package in CVS does need a re-review, it wouldn't make much sense 
for me to review it, being blind to one's own bugs etc.

Comment 8 Gérard Milmeister 2006-11-12 22:09:03 UTC
Paul, would you submit the original src rpm? I will look it over quickly.

Comment 9 Paul F. Johnson 2006-11-12 22:59:31 UTC
Do you mean the version that is in CVS or the one you can find at
http://nodoid.homelinux.org/fedora/srpms.shtml ?


Comment 10 Gérard Milmeister 2007-02-24 14:20:48 UTC
I would say the one from CVS, since it contains some patches.

Comment 11 Jason Tibbitts 2008-01-19 23:56:51 UTC
It's been eleven months since the last comment; is anyone still working on this?

Comment 12 Gérard Milmeister 2008-02-22 23:46:15 UTC
I am no longer interested in reviewing this. Is anyone else?

Comment 13 Jon Stanley 2008-05-15 04:33:25 UTC
FWIW, it looks like the FC-5 branch still builds:

http://koji.fedoraproject.org/koji/taskinfo?taskID=610129

It does need a full review per the process I think for reviving it.  Paul, are
you still interested in this?

Comment 14 Caius Chance 2009-02-17 06:02:15 UTC
Address Not Found for the srpm url.

Please reopen if anyone interested to have this review again.


Note You need to log in before you can comment on or make changes to this bug.